<!DOCTYPE html>
<html lang="en-us">

  <head>
    <title>Create Assignment</title>
    <meta charset="UTF-8">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <link rel="shortcut icon" type="image/x-icon" href="assets/favicon.ico" />

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700italic,700,900,900italic" rel="stylesheet">

    <!-- STYLESHEETS -->
    <style type="text/css">
      [fuse-cloak], .fuse-cloak {
        display: none !important;
      }
    </style>

    <!-- Icons.css -->
    <link type="text/css" rel="stylesheet" href="assets/icons/fuse-icon-font/style.css">
    <!-- Animate.css -->
    <link type="text/css" rel="stylesheet" href="assets/css/animate.css/animate.min.css">
    <!-- PNotify -->
    <link type="text/css" rel="stylesheet" href="assets/css/pnotify/dist/PNotifyBrightTheme.css">
    <!-- Nvd3 - D3 Charts -->
    <link type="text/css" rel="stylesheet" href="assets/css/nvd3/build/nv.d3.min.css" />
    <!-- Perfect Scrollbar -->
    <link type="text/css" rel="stylesheet" href="assets/css/perfect-scrollbar/css/perfect-scrollbar.css" />
    <!-- Fuse Html -->
    <link type="text/css" rel="stylesheet" href="assets/fuse-html/fuse-html.min.css" />
    <!-- jQuery UI -->
    <link type="text/css" rel="stylesheet" href="assets/jquery-ui/jquery-ui.css" />
    <!-- Main CSS -->
    <link type="text/css" rel="stylesheet" href="assets/css/main.css">
    <!-- / STYLESHEETS -->

    <!-- JAVASCRIPT -->
    <!-- jQuery -->
    <script type="text/javascript" src="assets/js/components/jquery/dist/jquery.min.js"></script>
    <!-- Mobile Detect -->
    <script type="text/javascript" src="assets/js/apps/mobile-detect/mobile-detect.min.js"></script>
    <!-- Perfect Scrollbar -->
    <script type="text/javascript" src="assets/js/apps/perfect-scrollbar/dist/perfect-scrollbar.min.js"></script>
    <!-- Popper.js -->
    <script type="text/javascript" src="assets/js/components/popper.js/dist/umd/popper.min.js"></script>
    <!-- Bootstrap -->
    <script type="text/javascript" src="assets/js/components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Nvd3 - D3 Charts -->
    <script type="text/javascript" src="assets/js/components/d3/d3.min.js"></script>
    <script type="text/javascript" src="assets/js/components/nvd3/build/nv.d3.min.js"></script>
    <!-- Data tables -->
    <script type="text/javascript" src="assets/js/components/datatables.net/js/jquery.dataTables.js"></script>
    <script type="text/javascript" src="assets/js/components/datatables-responsive/js/dataTables.responsive.js"></script>
    <!-- PNotify -->
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotify.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyStyleMaterial.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyButtons.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyCallbacks.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyMobile.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyHistory.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyDesktop.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyConfirm.js"></script>
    <script type="text/javascript" src="assets/js/apps/pnotify/dist/iife/PNotifyReference.js"></script>
    <!-- Fuse Html -->
    <script type="text/javascript" src="assets/fuse-html/fuse-html.min.js"></script>
    <!-- jQuery UI -->
    <script type="text/javascript" src="assets/jquery-ui/jquery-ui.js"></script>
    <!-- Main JS -->
    <script type="text/javascript" src="assets/js/general-action.js"></script>
    <script type="text/javascript" src="js/lecturer-create-assignment.js"></script>
    <!-- / JAVASCRIPT -->

  </head>

  <body class="layout layout-vertical layout-left-navigation layout-below-toolbar layout-below-footer">
    <main>
      <div id="wrapper">
        <aside id="aside" class="aside aside-left" data-fuse-bar="aside" data-fuse-bar-media-step="md" data-fuse-bar-position="left">
          <div class="aside-content bg-primary-700 text-auto">

            <div class="aside-toolbar">

              <div class="logo">
                <span class="logo-icon">SL</span>
                <span class="logo-text">Smart Classroom: Smart Learning</span>
              </div>

              <button id="toggle-fold-aside-button" type="button" class="btn btn-icon d-none d-lg-block" data-fuse-aside-toggle-fold>
                <i class="icon icon-backburger"></i>
              </button>

            </div>

            <ul class="nav flex-column custom-scrollbar" id="sidenav" data-children=".nav-item">

              <li class="subheader">
                <span>APPS</span>
              </li>

              <li>
                <li class="nav-item">
                  <a id="lecturerDashboardLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-tile-four"></i>
                    <span>Dashboard</span>
                  </a>
                </li>
                <li class="nav-item">
                  <a id="lecturerClassMeetingLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-human-greeting"></i>
                    <span>
                      Class Meeting
                      <!--p class="animated infinite bounce delay-2s">(live)</p-->
                    </span>
                  </a>
                </li>
                <li class="nav-item active">
                  <a id="lecturerCreateAssignmentLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-developer-board"></i>
                    <span>
                      Create Assignment
                    </span>
                  </a>
                </li>
                <li class="nav-item">
                  <a id="lecturerTaskDetailLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-folder-multiple"></i>
                    <span>
                      Task Detail
                    </span>
                  </a>
                </li>
                <li class="nav-item">
                  <a id="lecturerCourseManagementLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-settings"></i>
                    <span>
                      Course Management
                    </span>
                  </a>
                </li>
                <li class="nav-item">
                  <a id="learningOutcomeManagementLink" class="nav-link ripple" style="text-decoration:none;">
                    <i class="icon s-4 icon-content-save-settings"></i>
                    <span>
                      Learning Outcome
                    </span>
                  </a>
                </li>
              </li>

            </ul>

          </div>
        </aside>

        <div class="content-wrapper">

          <nav id="toolbar" class="bg-white">
            <div class="row no-gutters align-items-center flex-nowrap">
              <div class="col">
                <div class="row no-gutters align-items-center justify-content-end">
                  <div class="user-menu-button dropdown">
                    <div class="dropdown-toggle ripple row align-items-center no-gutters px-2 px-sm-4" role="button" id="dropdownUserMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      <div class="avatar-wrapper">
                        <img class="avatar" src="assets/images/avatars/profile.jpg">
                        <i id="connectionStat" class="status text-green icon-checkbox-marked-circle s-4"></i>
                      </div>
                      <span id="userId" class="username mx-3 d-none d-md-block"></span>
                    </div>
                    <div class="dropdown-menu" aria-labelledby="dropdownUserMenu">
                      <a class="dropdown-item" href="#">
                        <div class="row no-gutters align-items-center flex-nowrap">
                          <i class="icon-account"></i>
                          <span class="px-3">My Profile</span>
                        </div>
                      </a>
                      <a class="dropdown-item" href="#">
                        <div class="row no-gutters align-items-center flex-nowrap">
                          <i class="icon-email"></i>
                          <span class="px-3">Inbox</span>
                        </div>
                      </a>
                      <div class="dropdown-divider"></div>
                      <a class="dropdown-item" data-toggle="modal" data-target="#logoutModal">
                        <div class="row no-gutters align-items-center flex-nowrap">
                          <i class="icon-logout"></i>
                          <span class="px-3">Logout</span>
                        </div>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </nav>

          <div class="content custom-scrollbar">
            <div id="project-dashboard" class="page-layout simple right-sidebar">
              <div class="page-content-wrapper custom-scrollbar">

                <!-- CONTENT -->
                <div class="page-content p-6">
                  <div class="content container">

                    <div id="tabs">
                      <ul>
                        <li><a href="#tabs-1">Pop Up Question</a></li>
                        <li><a href="#tabs-2">Question Dictionary</a></li>
                        <li><a href="#tabs-3">Assignment</a></li>
                      </ul>

                      <div id="tabs-1" class="row">

                        <!-- Pop Up Question Form -->
  										  <form id="formcontainer" class="col-12 col-md-6">
                          <div id="exceptsubmit">
                            <div class="description-text">
                              <h5>Create Pop Up Question</h5>
                            </div>
                            <div id="classDetail">
                              <div class="form-group">
                                <label for="classChoosen">Kelas</label>
                                <select id="classChoosen">
                                  <option name="" value=""></option>
                                </select>
                              </div>
                              <div class="form-group">
                                <label for="subTopicList">Sub Topic</label>
                                <select id="subTopicList"></select>
                              </div>
                            </div>
                            <button type="button" id="addquestion" class="btn btn-block" data-toggle="modal" data-target="#popupModalLive">
                              Add Question
                              <i class="icon-plus-box"></i>
                            </button>
                          </div>
                          <br><br>
                          <div id="questioncontainer"></div>
  										    <button id="submitPopUpBtn" type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLive">
                            SUBMIT
                          </button>
                        </form>
                        <!-- End of Pop Up Question Form -->

                      </div>

                      <div id="tabs-2" class="row">

                        <!-- Question Dictionary -->
                        <form id="formcontainerquiz" class="col-12 col-md-6">
                          <div id="exceptsubmit">
                            <div class="description-text">
                              <h5>Create Quiz</h5>
                            </div>
                            <div id="classDetailQuiz">
                              <div class="form-group">
                                <label for="classChoosenQuiz">Kelas</label>
                                <select id="classChoosenQuiz">
                                  <option name="" value=""></option>
                                </select>
                              </div>
                              <div class="form-group">
                                <label for="subTopicListQuiz">Sub Topic</label>
                                <select id="subTopicListQuiz"></select>
                              </div>
                            </div>
                            <div id="questioncontainer"></div>
                          </div>
                          <button id="addquestionquiz" type="button" class="btn btn-secondary" onclick="myFunctionQuiz()">Add Question</button>
  										    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLive">
                            Create
                          </button>
                        </form>
                        <!-- End of Question Dictionary -->

                      </div>

                      <div id="tabs-3" class="row">

                        <!-- Assignment Form -->
                        <form id="formcontainerass" class="col-12 col-md-6">
                          <div id="exceptsubmit">
                            <div class="description-text">
                              <h5>Create Assignment</h5>
                            </div>
                            <div id="classDetailAss">
                              <div class="form-group">
                                <label for="classChoosenAss">Kelas</label>
                                <select id="classChoosenAss">
                                  <option name="" value=""></option>
                                </select>
                              </div>
                              <div class="form-group">
                                <label for="subTopicListAss">Sub Topic</label>
                                <select id="subTopicListAss"></select>
                              </div>
                            </div>
                            <div class="form-group">
      												<input class="form-control" type="text" id="start-datetime-local-input" />
      												<label for="example-datetime-local-input">Start Date</label>
      											</div>
      											<div class="form-group">
      												<input class="form-control" type="text" id="end-datetime-local-input" />
      												<label for="example-datetime-local-input">End Date</label>
      											</div>
      											<div class="form-group">
      												<label for="exampleFormControlTextarea1">Task Description</label>
      												<textarea class="form-control" id="exampleFormControlTextarea1" rows="3"></textarea>
      											</div>
      											<div class="input-group">
      											  <div class="input-group-prepend">
                                <span class="input-group-text" id="inputGroupFileAddon01">Upload Task Document</span>
      											  </div>
                              <div class="custom-file">
                                <input type="file" class="custom-file-input" id="inputGroupFile01" aria-describedby="inputGroupFileAddon01">
                                <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                              </div>
      											</div>
      										  <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLive">
                              SUBMIT
                            </button>
                          </div>
                        </form>
                        <!-- End of Assignment Form -->

                      </div>

                    </div>


                  </div>
                </div>
                <!-- End of CONTENT -->

              </div>
            </div>
          </div>

        </div>

      </div>
    </main>

    <!-- MODAL -->
    <div id="exampleModalLive" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLiveLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLiveLabel">Create Assignment</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p>Submitted Successfully!</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <button id="submitQuestion" type="button" class="btn btn-primary"><a id="taskDetailPage" style="text-decoration:none;"><font color="white">Create & See Task Detail</font></a></button>
          </div>
        </div>
      </div>
    </div>
    <!-- End of MODAL -->

    <!-- MODAL Question -->
    <div id="popupModalLive" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="popupModalLiveLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="popupModalLiveLabel">Create Question</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div id="formQuestionPopUp"></div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <button id="saveQuestion" type="button" class="btn btn-primary"><font color="white">Save Question</font></button>
          </div>
        </div>
      </div>
    </div>
    <!-- End of MODAL Question -->

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="logoutModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="logoutModalLabel">Logout from app?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Choose "Logout" to end your session</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" id="btnLogout">Logout</a>
          </div>
        </div>
      </div>
    </div>
    <!-- End of Logout Modal-->

  </body>

</html>
